//import geoPath() from d3 to display geographic data
import { geoPath, geoGraticule } from 'd3';

//using 'geoAlbersUsaTerritories()' function to display all the states in USA divided by territories
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);
const graticule = geoGraticule();

//exports a const declaration
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
